## org.jfree.report.util
Class PropertyLookupParser

    java.lang.Object
      org.jfree.report.util.PropertyLookupParser

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BeanPropertyLookupParser, MessageFormatSupport.MessageCompiler, SQLParameterLookupParser

    public abstract class PropertyLookupParser

extends java.lang.Object
implements java.io.Serializable

The property lookup parser is used to resolve embedded references to properties within strings.

The default format of the property specification is: `${property-name}` where 'property-name is the name of the property. If this construct is found within the text, it is replaced with the value returned from a call to "lookupVariable".

Author:
  Thomas Morgner
See Also:
  Serialized Form

Constructor Summary
`protected` `PropertyLookupParser()` Initializes the parser to the default format of "${..}".

Method Summary
`char` `getClosingBraceChar()` Returns the currently defined closed-brace char.
`char` `getEscapeChar()` Returns the escape char.
`char` `getMarkerChar()` Returns initial property marker char.
`char` `getOpeningBraceChar()` Returns the currently defined opening-brace char.
`protected abstract java.lang.String` `lookupVariable(java.lang.String property)` Looks up the property with the given name.
`void` `setClosingBraceChar(char closingBraceChar)` Defines the closing brace character.
`void` `setEscapeChar(char escapeChar)` Defines the escape char.
`void` `setMarkerChar(char markerChar)` Defines initial property marker char.
`void` `setOpeningBraceChar(char openingBraceChar)` Defines the opening brace character.
`java.lang.String` `translateAndLookup(java.lang.String value)` Translates the given string and resolves the embedded property references.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyLookupParser

    protected PropertyLookupParser()

  Initializes the parser to the default format of "${..}". The escape char will be a backslash.

Method Detail

### getClosingBraceChar

    public char getClosingBraceChar()

  Returns the currently defined closed-brace char.

  Returns:
    the closed-brace char.

### setClosingBraceChar

    public void setClosingBraceChar(char closingBraceChar)

  Defines the closing brace character.

  Parameters:
    `closingBraceChar` - the closed-brace character.

### getEscapeChar

    public char getEscapeChar()

  Returns the escape char.

  Returns:
    the escape char.

### setEscapeChar

    public void setEscapeChar(char escapeChar)

  Defines the escape char.

  Parameters:
    `escapeChar` - the escape char

### getOpeningBraceChar

    public char getOpeningBraceChar()

  Returns the currently defined opening-brace char.

  Returns:
    the opening-brace char.

### setOpeningBraceChar

    public void setOpeningBraceChar(char openingBraceChar)

  Defines the opening brace character.

  Parameters:
    `openingBraceChar` - the opening-brace character.

### getMarkerChar

    public char getMarkerChar()

  Returns initial property marker char.

  Returns:
    the initial property marker character.

### setMarkerChar

    public void setMarkerChar(char markerChar)

  Defines initial property marker char.

  Parameters:
    `markerChar` - the initial property marker character.

### translateAndLookup

    public java.lang.String translateAndLookup(java.lang.String value)

  Translates the given string and resolves the embedded property references.

  Parameters:
    `value` - the raw value,
  Returns:
    the fully translated string.

### lookupVariable

    protected abstract java.lang.String lookupVariable(java.lang.String property)

  Looks up the property with the given name.

  Parameters:
    `property` - the name of the property to look up.
  Returns:
    the translated value.